# DeleteCidrs

## 1. API Description

This API (DeleteCidrs) is used to delete one or more CIDR blocks.

{% hint style="info" %} <mark style="color:blue;">**Note**</mark>

* <mark style="color:blue;">You cannot delete a CIDR block containing an elastic IP.</mark>
* <mark style="color:blue;">Deleting a CIDR block is irreversible. Please operate with caution.</mark>
  {% endhint %}

## 2. Input Parameters

The following request parameter list only provides API request parameters.

| Parameter Name | Required | Type            | Description       |
| -------------- | -------- | --------------- | ----------------- |
| cidrIds        | Yes      | Array of String | List of CIDR IDs. |

## 3. Output Parameters

| Parameter Name | Type            | Description                                                                                                           |
| -------------- | --------------- | --------------------------------------------------------------------------------------------------------------------- |
| requestId      | String          | <p>The unique request ID, which is returned for each request.</p><p>RequestId is required for locating a problem.</p> |
| failedCidrIds  | Array of String | List of CIDR IDs failed to be deleted.                                                                                |

## 4. Code Example

{% tabs %}
{% tab title="Example" %}
**Delete CIDR blocks in batch.**

```json
POST /api/v2/zec HTTP/1.1
Host: console.zenlayer.com
Content-Type: application/json
X-ZC-Action: DeleteCidrs
<Common Request Params>

Request：
{
  "cidrIds": [
    "cidrId1",
    "cidrId2"
  ]
}

Response：
{
  "requestId": "TBFC01FCF-6439-4530-ADBC-16809F0C3E8F",
  "response": {
    "requestId": "TBFC01FCF-6439-4530-ADBC-16809F0C3E8F",
    "failedCidrIds": []
  }
}
```

{% endtab %}
{% endtabs %}

## 5. Developer Resources

Zenlayer Cloud API 2.0 integrates [SDKs](https://docs.console.zenlayer.com/api-reference/api-introduction/toolkit/api-sdk)，to make it easier for you to call APIs. More programming languages will be supported.

## 6. Error Codes

The following only lists the error codes related to the API business logic. For other error codes, see [Common Error Codes](https://docs.console.zenlayer.com/api-reference/api-introduction/instruction/commonerrorcode).

| HTTP Status Code | Error Code | Description |
| ---------------- | ---------- | ----------- |
